#pragma interface
#include "component.h"

class Scrollbar: public Component {
  int value;
  int visible;
  int min, max;
  int taboffset;
  int tabsize;
  int size;
public:
  void remoteMethod(int cmd);
  enum Orientation { HORZ, VERT };
  Scrollbar(Orientation);
  void reshape(int,int,int,int);
  void setValue(int val);
  void setValues(int val,int vis,int min,int max);
  int getValue() { return value; }
  int getVisible() { return visible; }
  int getMinimum() { return min; }
  int getMaximum() { return max; }
  void paint(DrawingContext *);
  void getfocus();
  void key(int k);
  ~Scrollbar();
private:
  Orientation dir;
};
